Bug 1119036 - Digikam 4.1+ not yet available for Fedora 20
Summary: Digikam 4.1+ not yet available for Fedora 20
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: digikam
Version: 20
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Rex Dieter
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: opencv-2.4.9
Blocks: 1128494
TreeView+ depends on / blocked
 
Reported: 2014-07-13 12:09 UTC by tosca
Modified: 2014-08-24 02:54 UTC (History)
7 users (show)

Fixed In Version: digikam-4.2.0-5.fc20
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-24 02:54:40 UTC


Attachments (Terms of Use)

Description tosca 2014-07-13 12:09:36 UTC
Last Digikam package seems to have been ready since July 3th
http://koji.fedoraproject.org/koji/packageinfo?packageID=1593

Could you please make it available in standard repo.

Comment 1 Rex Dieter 2014-07-13 12:32:34 UTC
It requires opencv-2.4.9, which isn't (yet) available for f20 either, see bug #1114377

Comment 2 tosca 2014-07-13 12:34:59 UTC
Thanks for your quick answer.
Will have to wait a bit more ...

Comment 3 Sergio Monteiro Basto 2014-07-14 12:56:27 UTC
Hi, 
I built in http://copr.fedoraproject.org/coprs/sergiomb/digikam_next/
digiKam 4.1.0 for Fedora 20 
you may install it with: 

yum --tmprepo=http://copr-be.cloud.fedoraproject.org/results/sergiomb/digikam_next/fedora-20-x86_64/repodata/repomd.xml --nogpg update digikam\*

Comment 4 Rex Dieter 2014-08-13 13:59:22 UTC
trying test hacked scratched build (to allow use of older opencv):
http://koji.fedoraproject.org/koji/taskinfo?taskID=7290616

If that goes ok, I'll merge and build as usual.

Comment 5 nucleo 2014-08-13 14:27:45 UTC
sed -i.opencv_247 -e 's|^DETECT_OPENCV(2.4.9 |DETECT_OPENCV(2.4.7 |' extra/kipi-plugins/CMakeLists.txt extra/libkface/CMakeLists.txt

In core/CMakeLists.txt also required opencv 2.4.9.

Comment 6 nucleo 2014-08-13 15:28:45 UTC
-- First try at finding OpenCV...
-- Great, found OpenCV on the first try.
-- OpenCV Root directory is: /usr/lib/OpenCV
-- OpenCV: Found version 2.4.7 (required: 2.4.9)
-- OpenCV headers: /usr/include/opencv;/usr/include
-- OpenCV libs   : opencv_videostab;opencv_video;opencv_ts;opencv_superres;opencv_stitching;opencv_photo;opencv_ocl;opencv_objdetect;opencv_ml;opencv_legacy;opencv_imgproc;opencv_highgui;opencv_flann;opencv_features2d;opencv_core;opencv_contrib;opencv_calib3d
CMake Warning at core/cmake/modules/MacroOpenCV.cmake:51 (MESSAGE):
  OpenCV: Version is too old.
Call Stack (most recent call first):
  core/CMakeLists.txt:106 (DETECT_OPENCV)

Comment 7 Fedora Update System 2014-08-17 22:09:54 UTC
digikam-4.2.0-5.fc20 has been submitted as an update for Fedora 20.
https://admin.fedoraproject.org/updates/digikam-4.2.0-5.fc20

Comment 8 Fedora Update System 2014-08-19 07:07:47 UTC
Package digikam-4.2.0-5.fc20:
* should fix your issue,
* was pushed to the Fedora 20 testing repository,
* should be available at your local mirror within two days.
Update it with:
# su -c 'yum update --enablerepo=updates-testing digikam-4.2.0-5.fc20'
as soon as you are able to.
Please go to the following url:
https://admin.fedoraproject.org/updates/FEDORA-2014-9563/digikam-4.2.0-5.fc20
then log in and leave karma (feedback).

Comment 9 Sergio Monteiro Basto 2014-08-23 23:35:23 UTC

(In reply to nucleo from comment #5)
> sed -i.opencv_247 -e 's|^DETECT_OPENCV(2.4.9 |DETECT_OPENCV(2.4.7 |'
> extra/kipi-plugins/CMakeLists.txt extra/libkface/CMakeLists.txt
> 
> In core/CMakeLists.txt also required opencv 2.4.9.

I'd prefer have opencv-2.4.9 in f20

Comment 10 Fedora Update System 2014-08-24 02:54:40 UTC
digikam-4.2.0-5.fc20 has been pushed to the Fedora 20 stable repository.  If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.